Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class BLOBOutputStream

    java.lang.Object
      java.io.OutputStream
          com.ejie.r01f.sql.BLOBOutputStream

public class BLOBOutputStream
extends java.io.OutputStream

ESCRITURA DE UN BLOB Clase Wrapper de un BlobOutputStream para ser utilizada desde SQLHelpper Se encarga de obtener la conexión a la base de datos y liberarla cuando ya se ha escrito todo el inputStream.

Method Summary
`void` | `close()` Cierra el OutputStream, escribiendose en la base de datos
`void` | `finalize()` Cerrar la conexión a base de datos en su caso
`void` | `flush()` Vacia el outputStream
`void` | `write(byte[] b)` Escribte los bytes de un array en el outputStream
`void` | `write(byte[] b, int off, int len)` Escribe en el outputStream un numero de bytes de un array empezando por un offset
`void` | `write(int b)` Escribe un byte en el outputStream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### finalize

    public void finalize()

  Cerrar la conexión a base de datos en su caso

### write

    public void write(int b)
               throws java.io.IOException

  Escribe un byte en el outputStream

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(int)`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Escribe en el outputStream un numero de bytes de un array empezando por un offset

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[], int, int)`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Escribte los bytes de un array en el outputStream

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[])`

### flush

    public void flush()
               throws java.io.IOException

  Vacia el outputStream

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.flush()`

### close

    public void close()
               throws java.io.IOException

  Cierra el OutputStream, escribiendose en la base de datos

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD